osmium::location_less Struct Reference

`#include <node_ref.hpp>`

## Public Types

using | first_argument_type = NodeRef
using | second_argument_type = NodeRef
using | result_type = bool

## Public Member Functions

constexpr bool | operator() (const NodeRef &lhs, const NodeRef &rhs) const noexcept

## Detailed Description

Functor to compare NodeRefs by Location instead of ID.

## Member Typedef Documentation

using osmium::location_less::first_argument_type = NodeRef

using osmium::location_less::result_type = bool

using osmium::location_less::second_argument_type = NodeRef

## Member Function Documentation

constexpr bool osmium::location_less::operator() | ( | const NodeRef & | lhs,
|  | const NodeRef & | rhs
| ) |  | const

inline noexcept

The documentation for this struct was generated from the following file:

- osmium/osm/node_ref.hpp